local function SkilletValue_GetItemValue(itemIndex)
  local link
  --[[
  local itemName = GetTradeSkillInfo(itemIndex)
  if LudwigDB and itemName:find("Enchant ") then 
    itemName = "Scroll of "..itemName 
    local itemIds = LudwigDB:GetItems(itemName)
    if itemIds and (#itemIds > 0) then
      local _, newLink = GetItemInfo(itemIds[1])
      link = newLink
    end
  else
    link = Skillet:GetTradeskillItemLink(itemIndex) 
  end
  ]]--

  link = Skillet:GetTradeskillItemLink(itemIndex) 
  if not link then return 0 end

  local linkType = AucAdvanced.DecodeLink(link)
  if (linkType ~= "item") then
    return 0 
  end
  
  return AucAdvanced.API.GetMarketValue(link) or 0
end

local function sort_recipe_by_aucvalue(tradeskill, a, b)
  return SkilletValue_GetItemValue(a) < SkilletValue_GetItemValue(b)
end

local orig_get_extra = Skillet.GetExtraItemDetailText
Skillet.GetExtraItemDetailText = function(obj, tradeskill, skill_index)
    local before = orig_get_extra(obj, tradeskill, skill_index)
    local value = SkilletValue_GetItemValue(skill_index)
    local result = "\n"
    if value > 0 then
        result = result.."SimpleAuction: "..AucAdvanced.Coins(value)

        -- Undercut value
        local itemLink = Skillet:GetTradeskillItemLink(skill_index)
        local uc = AucAdvanced.Modules.Match.Undercut.GetMatchArray(itemLink,value)
        if uc then
            result = result.."\nUndercut: "..AucAdvanced.Coins(uc.value)..
              " ("..uc.competing.." listed)"
        end
        
        if before then
            return before .. result
        else
            return result
        end
    else
        return before
    end
end

Skillet:AddRecipeSorter('Market Value', sort_recipe_by_aucvalue)